enumerations

## Enum FunctionCode

- java.lang.Object
- - java.lang.Enum<FunctionCode>
  - - enumerations.FunctionCode

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<FunctionCode>

      public enum FunctionCode
      extends java.lang.Enum<FunctionCode>
      implements EnumBase

  Function codes specified in Wireless M-Bus, their binary representations and meanings.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Error`
    `Instant`
    `Max`
    `Min`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `bits`
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBits()`
    `java.lang.String` | `getNiceName()`
    `static FunctionCode` | `parse(java.lang.String fuctionCode)`
    `java.lang.String` | `toString()`
    `static FunctionCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FunctionCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### Error

          public static final FunctionCode Error

    - #### Instant

          public static final FunctionCode Instant

    - #### Max

          public static final FunctionCode Max

    - #### Min

          public static final FunctionCode Min

  - ### Field Detail

    - #### bits

          private java.lang.String bits

    - #### niceName

          private java.lang.String niceName

  - ### Method Detail

    - #### getBits

          public java.lang.String getBits()

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### parse

          public static FunctionCode parse(java.lang.String fuctionCode)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<FunctionCode>`

    - #### valueOf

          public static FunctionCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static FunctionCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FunctionCode c : FunctionCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared